org.apache.lucene.search.uhighlight

## Class PostingsWithTermVectorsOffsetStrategy

- java.lang.Object
- - org.apache.lucene.search.uhighlight.FieldOffsetStrategy
  - - org.apache.lucene.search.uhighlight.PostingsWithTermVectorsOffsetStrategy

-     public class PostingsWithTermVectorsOffsetStrategy
      extends FieldOffsetStrategy

  Like `PostingsOffsetStrategy` but also uses term vectors (only terms needed) for multi-term queries.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

      `components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostingsWithTermVectorsOffsetStrategy(UHComponents components)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OffsetsEnum` | `getOffsetsEnum(LeafReader leafReader, int docId, String content)` The primary method -- return offsets for highlightable words in the specified document.
    `UnifiedHighlighter.OffsetSource` | `getOffsetSource()`

    - ### Methods inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

      `createOffsetsEnumFromReader, createOffsetsEnumsForAutomata, createOffsetsEnumsForTerms, createOffsetsEnumsWeightMatcher, getField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostingsWithTermVectorsOffsetStrategy

          public PostingsWithTermVectorsOffsetStrategy(UHComponents components)

  - ### Method Detail

    - #### getOffsetsEnum

          public OffsetsEnum getOffsetsEnum(LeafReader leafReader,
                                            int docId,
                                            String content)
                                     throws IOException

      Description copied from class: `FieldOffsetStrategy`
      The primary method -- return offsets for highlightable words in the specified document. Callers are expected to close the returned OffsetsEnum when it has been finished with
      Specified by:
        `getOffsetsEnum` in class `FieldOffsetStrategy`
      Throws:
        `IOException`

    - #### getOffsetSource

          public UnifiedHighlighter.OffsetSource getOffsetSource()

      Specified by:
        `getOffsetSource` in class `FieldOffsetStrategy`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.